
QGIS Application - Bug report #16931

Disable saving styles to database for renderers that are not supported

2017-07-26 07:20 AM - shenriod -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.11 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24830

Description

New description:

Now all symbology renderes seems that are suitable to allow saving the style inside a DB. To avoid errors messages the option for them

should be disabled.

Old description:

I have created a new Geopackage layer: Layer > Create Layer > New Geopackage Layer,then added a few other layers (Save as...)

I now want to save a default style in the Geopackage DB but I get this error message: "Unable to save layer style. It's not possible to

create the destination table on the database"

Not sure if someone else can reproduce this behavior?

History

#1 - 2017-07-26 07:21 AM - shenriod -

- File MyGeoPackageLayer.gpkg added

- File Selection_854.png added
#2 - 2017-07-26 09:37 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Data Provider to Symbology

Just tested on 2.18.11 on Ubuntu 16.04 and works ok. Maybe it depends on the style you are trying to save, would you mind attach it? thanks.

#3 - 2017-09-25 04:56 PM - Giovanni Manghi

- Subject changed from Unable to save a style in a Geopackage to Disable saving styles to database for renderers that are not supported

- Operating System deleted (Ubuntu 17.04)

- Status changed from Feedback to Open

- Description updated

#4 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

MyGeoPackageLayer.gpkg 1.54 MB 2017-07-26 shenriod -

Selection_854.png 250 KB 2017-07-26 shenriod -
